Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Enum ReplaceInNodeDataEdit.InsertPosition

    java.lang.Object
      java.lang.Enum<ReplaceInNodeDataEdit.InsertPosition>
          info.bioinfweb.treegraph.document.undo.edit.ReplaceInNodeDataEdit.InsertPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ReplaceInNodeDataEdit.InsertPosition>

Enclosing class:
  ReplaceInNodeDataEdit

    public static enum ReplaceInNodeDataEdit.InsertPosition

extends java.lang.Enum<ReplaceInNodeDataEdit.InsertPosition>

Enum Constant Summary
`AFTER`
`BEFORE`
`REPLACE`

Method Summary
`static ReplaceInNodeDataEdit.InsertPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReplaceInNodeDataEdit.InsertPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final ReplaceInNodeDataEdit.InsertPosition BEFORE

### AFTER

    public static final ReplaceInNodeDataEdit.InsertPosition AFTER

### REPLACE

    public static final ReplaceInNodeDataEdit.InsertPosition REPLACE

Method Detail

### values

    public static ReplaceInNodeDataEdit.InsertPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReplaceInNodeDataEdit.InsertPosition c : ReplaceInNodeDataEdit.InsertPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReplaceInNodeDataEdit.InsertPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD